DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmKeyValuePair< T > Class Template Reference

this template class implements a simple key - value pair map that is used in template class DcmSimpleMap. More...

## Public Member Functions
| DcmKeyValuePair (const OFString &k, const T &v)
| constructor More...
| DcmKeyValuePair (const DcmKeyValuePair &arg)
| copy constructor
| ~DcmKeyValuePair ()
| destructor
const OFString & | key () const
| return key of key-value pair More...
const T & | value () const
| return value of key-value pair More...
T & | value ()
| return value of key-value pair More...
OFBool | matches (const OFString &key) const
| checks if this entry matches the given key More...
OFBool | operator== (const DcmKeyValuePair &arg) const
| comparison operator. More...

## Private Member Functions
DcmKeyValuePair & | operator= (const DcmKeyValuePair &arg)
| private undefined copy assignment operator

## Private Attributes
OFString | key_
| the key
T | value_
| the value

## Detailed Description

### template<class T>
class DcmKeyValuePair< T >

this template class implements a simple key - value pair map that is used in template class DcmSimpleMap.

Template type must be copy constructable.

## Constructor & Destructor Documentation

## ◆ DcmKeyValuePair()

template<class T >

DcmKeyValuePair< T >::DcmKeyValuePair | ( | const OFString & | k,
|  | const T & | v
| ) |  |
| inline

constructor

Parameters

  k | key
  v | value

## Member Function Documentation

## ◆ key()

template<class T >

const OFString& DcmKeyValuePair< T >::key | ( |  | ) | const
| inline

return key of key-value pair

Returns
  key as const reference

References DcmKeyValuePair< T >::key_.

Referenced by DcmKeyValuePair< T >::matches().

## ◆ matches()

template<class T >

OFBool DcmKeyValuePair< T >::matches | ( | const OFString & | key | ) | const
| inline

checks if this entry matches the given key

Returns
  true if key matches, false otherwise

References DcmKeyValuePair< T >::key(), and DcmKeyValuePair< T >::key_.

## ◆ operator==()

template<class T >

OFBool DcmKeyValuePair< T >::operator== | ( | const DcmKeyValuePair< T > & | arg | ) | const
| inline

comparison operator.

Parameters

  arg | object to compare with

Returns
  true if equal

References DcmKeyValuePair< T >::key_, and DcmKeyValuePair< T >::value_.

## ◆ value() [1/2]

template<class T >

T& DcmKeyValuePair< T >::value | ( |  | ) |
| inline

return value of key-value pair

Returns
  value as non-const reference

References DcmKeyValuePair< T >::value_.

## ◆ value() [2/2]

template<class T >

const T& DcmKeyValuePair< T >::value | ( |  | ) | const
| inline

return value of key-value pair

Returns
  value as const reference

References DcmKeyValuePair< T >::value_.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dcmsmap.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1